/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.Servlets;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import pe.siso.horario.Beans.Seccion;
import pe.siso.horario.Services.SeccionServices;

/**
 *
 * @author fcelestino
 */
public class ServletSeccion extends HttpServlet {
    @Override
    protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        String param=request.getParameter("Accion");
        if("listadoSeccion".equals(param)){
            listadoSeccion(request,response);
        }else if("listadoSeccionBusqueda".equals(param)){
            listadoSeccionBusqueda(request,response);
        }else if("registarSeccion".equals(param)){
            registarSeccion(request,response);
        }else if("cambiarEstado".equals(param)){
            cambiarEstado(request,response);
        }else if("cargarSeccion".equals(param)){
            cargarSeccion(request,response);
        }else if("armarEditar".equals(param)){
            armarEditar(request,response);
        }else if("actualizar".equals(param)){
            actualizar(request,response);
        }else if("cargarSeccionBlo".equals(param)){
            cargarSeccionBlo(request,response);
        }else if("cantidadSeccion".equals(param)){
            cantidadSeccion(request,response);
        }
    }

    private void listadoSeccion(HttpServletRequest request, HttpServletResponse response) throws IOException {
        SeccionServices servicios = new SeccionServices();
        ArrayList<Seccion> lista = null;
        int cantRegistro=0;
        int cantidad=Integer.parseInt(request.getParameter("cantidad"));
        int pagina=Integer.parseInt(request.getParameter("pagina"));
        
        int inicio = (pagina-1)*cantidad;
        
        cantRegistro=servicios.cantidadSeccion();
        lista=servicios.listarSeccion(inicio, cantidad);
        //--------------CALCULO DE PAGINADO---------
        int numero = cantRegistro/cantidad;
        int resto = cantRegistro%cantidad;
        if(resto>0){
            numero = numero+1;
        }
        
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        
        
        pw.println("<div style=\"border: 1px solid #CCCCCC;\">\n" +
"                       <div class=\"table-header\">\n" +
"                           <table width=\"100%\" >"
                + "             <tbody>"
                + "                 <tr>"
                + "                     <td>Listado de Aulas</td>"
                + "                     <td align=\"right\">"
                + "                     </td>"
                + "                     <td width=\"10\"></td>"
                + "                 </tr>"
                + "             </tbody>"
                + "         </table>" +
"                       </div>\n" +
"                       <div>\n" +
"                           <div class=\"dataTables_wrapper form-inline no-footer\" id=\"sample-table-2_wrapper\">\n" +

"                               <table class=\"table table-striped table-bordered table-hover dataTable no-footer\" id=\"sample-table-2\" role=\"grid\" aria-describedby=\"sample-table-2_info\" >\n" +
"                                   <thead>\n" +
"                                       <tr role=\"row\">\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\" >N°</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">TIPO CENTRO</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">CENTRO</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">NIVEL</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">TIPO GRADO</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">GRADO</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">SECCIÓN</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">EDICIÓN</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">ESTADO</th>\n" +
"                                       </tr>\n" +
"                                   </thead>\n" +
"                                   <tbody>");
        
         
  
        int cont_ini= 0;
        int cont_fin= 0;
        int cont= inicio+ 1;
        for(int i=0; i< lista.size(); i++) {
            if(i==0){cont_ini=cont;}
            if(cont%2==0){
                pw.println("<tr class=\"alt\" >");
            }else{
                pw.println("<tr >");
            }
            
            String estado="";
            if(lista.get(i).getEstadoSeccion()==1){
                estado="<a href=\"javascript:validar_estado(0,"+pagina+","+lista.get(i).getCodigoSeccion()+");\" class=\"regular\" >\n" +
                            "<img src=\"imagenes/icons/lightbulb.png\" />\n" +
                        "</a>";
            }else{
                estado="<a href=\"javascript:validar_estado(1,"+pagina+","+lista.get(i).getCodigoSeccion()+");\" class=\"regular\" >\n" +
                            "<img src=\"imagenes/icons/lightbulb_off.png\" />\n" +
                        "</a>";
            }
            
             pw.println("    <td width='30' align='center'>"+cont+"</td>"
                     + "    <td >"+lista.get(i).getNombreTipoCentro()+"</td>"
                     + "    <td '>"+lista.get(i).getNombreCentro()+"</td>"
                     + "    <td >"+lista.get(i).getNombreNivel()+"</td>"
                     + "    <td >"+lista.get(i).getNombreTipoGrado()+"</td>"
                     + "    <td >"+lista.get(i).getNombreGrado()+"</td>"
                     + "    <td width='80' align='center'>"+lista.get(i).getNombreSeccion()+"</td>"
                     + "    <td  align='center'><a href=\"javascript:armarEdicion("+pagina+","+lista.get(i).getCodigoSeccion()+");\" class=\"regular\" >\n"
                     + "            <img src=\"imagenes/icons/page_edit.png\" />\n"
                     + "        </a>"
                     + "    </td>"
                     + "    <td align='center' valign='middle'>"+estado+"</td>"
                     + " </tr>");
            cont++;
        }
        cont_fin= cont - 1;
        if(cont==1){
            pw.println("<tr><td colspan='9' align='center'>No hay Secciones registrados</td></tr>");
        } 
          
         pw.println("   </tbody>\n" +
                    "</table>");
         
        //::::::::::::::: PIE ::::::::::::::::

        
        if (cantRegistro >= cantidad) {
            
            pw.println("<div class='row'>" + 
                            "<div class='col-xs-6'>" +
                                "<div class='dataTables_info' id='sample-table-2_info' role='status' aria-live='polite'> " +
                                    "Mostrando del "+cont_ini+" al "+cont_fin+" de "+cantRegistro+" Aulas" +
                                "</div> " +
                            "</div> " +
                            "<div class='col-xs-6'> " +
                                "<div class='dataTables_paginate paging_simple_numbers' id='sample-table-2_paginate'>" +
                                    "<ul class='pagination'>");
            
            int anterior = pagina - 1;
            int siguiente = pagina + 1;
            if (pagina > 1) {
                pw.println("<li tabindex='0' class='paginate_button previous' id='sample-table-2_previous' aria-controls='sample-table-2'> " +
                                "<a href='javascript:listarSeccion(" + 1 + ");'> << </a>" +
                           "</li>");
                pw.println("<li tabindex='0' class='paginate_button previous' id='sample-table-2_previous' aria-controls='sample-table-2'> " +
                                "<a href='javascript:listarSeccion(" + anterior + ");'>Anterior</a>" +
                           "</li>");
                
                //pw.println("<li><a href=\"javascript:buscarAula(" + anterior + ");\"><span>Anterior</span></a></li>");
            }else{
                pw.println("<li tabindex='0' class='paginate_button previous disabled' id='sample-table-2_previous' aria-controls='sample-table-2'> " +
                                "<a> << </a>" +
                           "</li>");
                pw.println("<li tabindex='0' class='paginate_button previous disabled' id='sample-table-2_previous' aria-controls='sample-table-2'> " +
                                "<a>Anterior</a>" +
                           "</li>");
            }

            //for(int i = 1; i<=numero; i++){
            if (numero > 5) {
                if (pagina > 2) {
                    if (numero >= pagina + 5) {
                        for (int i = pagina - 2; i < pagina + 3; i++) {
                            if (pagina == i) {
                                pw.println("<li tabindex='0' class='paginate_button active' aria-controls='sample-table-2'>" +
                                                "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                            "</li>");
                                //pw.println("<li ><a href=\"javascript:buscarAula(" + i + ");\" style='background-color:#00A9FB'><span>" + i + "</span></a></li>");
                            } else {
                                pw.println("<li tabindex='0' class='paginate_button' aria-controls='sample-table-2'>" +
                                                "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                            "</li>");
                                //pw.println("<li><a href=\"javascript:buscarAula(" + i + ");\" ><span>" + i + "</span></a></li>");
                            }
                        }
                    } else {
                        if (pagina == numero) {
                            for (int i = pagina - 4; i <= numero; i++) {
                                if (pagina == i) {
                                    pw.println("<li tabindex='0' class='paginate_button active' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                } else {
                                    pw.println("<li tabindex='0' class='paginate_button' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                }
                            }
                        } else if (pagina == numero - 1) {
                            for (int i = pagina - 3; i <= numero; i++) {
                                if (pagina == i) {
                                    pw.println("<li tabindex='0' class='paginate_button active' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                } else {
                                    pw.println("<li tabindex='0' class='paginate_button' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                }
                            }
                        } else if (pagina == numero - 2) {
                            for (int i = pagina - 2; i <= numero; i++) {
                                if (pagina == i) {
                                    pw.println("<li tabindex='0' class='paginate_button active' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                } else {
                                    pw.println("<li tabindex='0' class='paginate_button' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                }
                            }
                        } else if (pagina == numero - 3) {
                            for (int i = pagina - 1; i <= numero; i++) {
                                if (pagina == i) {
                                    pw.println("<li tabindex='0' class='paginate_button active' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                } else {
                                    pw.println("<li tabindex='0' class='paginate_button' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                }
                            }
                        } else if (pagina == numero - 4) {
                            for (int i = pagina; i <= numero; i++) {
                                if (pagina == i) {
                                    pw.println("<li tabindex='0' class='paginate_button active' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                } else {
                                    pw.println("<li tabindex='0' class='paginate_button' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                }
                            }
                        }
                    }
                } else {
                    if (pagina == 1) {
                        for (int i = pagina; i < pagina + 5; i++) {
                            if (pagina == i) {
                                    pw.println("<li tabindex='0' class='paginate_button active' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                } else {
                                    pw.println("<li tabindex='0' class='paginate_button' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                }
                        }
                    } else {
                        for (int i = pagina - 1; i < pagina + 4; i++) {
                            if (pagina == i) {
                                    pw.println("<li tabindex='0' class='paginate_button active' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                } else {
                                    pw.println("<li tabindex='0' class='paginate_button' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                }
                        }
                    }
                }
            } else {
                for (int i = 1; i <= numero; i++) {
                    if (pagina == i) {
                                    pw.println("<li tabindex='0' class='paginate_button active' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                } else {
                                    pw.println("<li tabindex='0' class='paginate_button' aria-controls='sample-table-2'>" +
                                                    "<a href='javascript:listarSeccion(" + i + ");'>" + i + "</a>" +
                                                "</li>");
                                }
                }
            }
                                                                //}

            if (pagina < numero) {
                pw.println("<li tabindex='0' class='paginate_button next' id='sample-table-2_next' aria-controls='sample-table-2'>" +
                                "<a href='javascript:listarSeccion(" + siguiente + ");'>Siguiente</a>" +
                            "</li>");
                pw.println("<li tabindex='0' class='paginate_button next' id='sample-table-2_next' aria-controls='sample-table-2'>" +
                                "<a href='javascript:listarSeccion(" + numero + ");'> >> </a>" +
                            "</li>");
            }else{
                pw.println("<li tabindex='0' class='paginate_button next disabled' id='sample-table-2_next' aria-controls='sample-table-2'>" +
                                "<a>Siguiente</a>" +
                            "</li>");
                pw.println("<li tabindex='0' class='paginate_button next disabled' id='sample-table-2_next' aria-controls='sample-table-2'>" +
                                "<a> >> </a>" +
                            "</li>");
            }
            pw.println(         "</ul>" +
                            "</div>" +
                        "</div>" +
                    "</div>");
        }
        
        
        
        //::::::::::::::: PIE ::::::::::::::::
        pw.println("</div>" +
                "</div>" +
            "</div>");
        
        
        
    }

    private void listadoSeccionBusqueda(HttpServletRequest request, HttpServletResponse response) throws IOException {
        SeccionServices servicios = new SeccionServices();
        ArrayList<Seccion> lista = null;
        
        String codnivel = request.getParameter("codnivel");
        String codCentro = request.getParameter("codCentro");
        String codTipoGrado = request.getParameter("codTipoGrado");
        String codGrado = request.getParameter("codGrado");
        
        
        lista=servicios.listarSeccion(codCentro, codnivel, codTipoGrado, codGrado);
        
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        pw.println("<div style=\"border: 1px solid #CCCCCC;\">\n" +
"                       <div class=\"table-header\">\n" +
"                           <table width=\"100%\" >"
                + "             <tbody>"
                + "                 <tr>"
                + "                     <td>Listado de Aulas</td>"
                + "                     <td align=\"right\">"
                + "                     </td>"
                + "                     <td width=\"10\"></td>"
                + "                 </tr>"
                + "             </tbody>"
                + "         </table>" +
"                       </div>\n" +
"                       <div>\n" +
"                           <div class=\"dataTables_wrapper form-inline no-footer\" id=\"sample-table-2_wrapper\">\n" +

"                               <table class=\"table table-striped table-bordered table-hover dataTable no-footer\" id=\"sample-table-2\" role=\"grid\" aria-describedby=\"sample-table-2_info\" >\n" +
"                                   <thead>\n" +
"                                       <tr role=\"row\">\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\" >N°</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">TIPO CENTRO</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">CENTRO</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">NIVEL</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">TIPO GRADO</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">GRADO</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">SECCIÓN</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">EDICIÓN</th>\n" +
"                                           <th tabindex=\"0\" class=\"center\" rowspan=\"1\" colspan=\"1\">ESTADO</th>\n" +
"                                       </tr>\n" +
"                                   </thead>\n" +
"                                   <tbody>");
        int cont= 1;
        for(int i=0; i< lista.size(); i++) {
           
            if(cont%2==0){
                pw.println("<tr class=\"alt\" >");
            }else{
                pw.println("<tr >");
            }
            
            String estado="";
            if(lista.get(i).getEstadoSeccion()==1){
                estado="<a href=\"javascript:validar_estadoBusqueda(0,"+lista.get(i).getCodigoSeccion()+");\" class=\"regular\" >\n" +
                            "<img src=\"imagenes/icons/lightbulb.png\" />\n" +
                        "</a>";
            }else{
                estado="<a href=\"javascript:validar_estadoBusqueda(1,"+lista.get(i).getCodigoSeccion()+");\" class=\"regular\" >\n" +
                            "<img src=\"imagenes/icons/lightbulb_off.png\" />\n" +
                        "</a>";
            }
            
             pw.println("    <td align='center'>"+cont+"</td>"
                     + "    <td>"+lista.get(i).getNombreTipoCentro()+"</td>"
                     + "    <td>"+lista.get(i).getNombreCentro()+"</td>"
                     + "    <td>"+lista.get(i).getNombreNivel()+"</td>"
                     + "    <td>"+lista.get(i).getNombreTipoGrado()+"</td>"
                     + "    <td>"+lista.get(i).getNombreGrado()+"</td>"
                     + "    <td>"+lista.get(i).getNombreSeccion()+"</td>"
                     + "    <td  align='center'><a href=\"javascript:armarEdicionBusqueda("+lista.get(i).getCodigoSeccion()+");\" class=\"regular\" >\n"
                     + "            <img src=\"imagenes/icons/page_edit.png\" />\n"
                     + "        </a>"
                     + "    </td>"
                     + "    <td align='center' valign='middle'>"+estado+"</td>"
                     + " </tr>");
            cont++;
        }
        
        if(cont==1){
            pw.println("<tr><td colspan='9' align='center'>No hay Secciones registrados</td></tr>");
        } 
          
         pw.println("   </tbody>\n" +
                    "</table>");
         
         pw.println("       </div>"
                 +  "   </div>" +
                    "</div>");
    }

    private void registarSeccion(HttpServletRequest request, HttpServletResponse response) {
        SeccionServices servicios = new SeccionServices();  
        
        String codnivel = request.getParameter("codNivel");
        String codCentro = request.getParameter("codCentro");
        String codTipoGrado = request.getParameter("codTipoGrado");
        String codGrado = request.getParameter("codGrado");
        String nomSeccion = request.getParameter("seccion");
        
        servicios.registrarSeccion(nomSeccion, codCentro, codnivel, codTipoGrado, codGrado);
    }

    private void cambiarEstado(HttpServletRequest request, HttpServletResponse response) {
        SeccionServices servicios = new SeccionServices();
        String dato = request.getParameter("dato");
        String codSeccion = request.getParameter("codSeccion");
        servicios.cambiarEstado(dato, codSeccion);
    }

    private void cargarSeccion(HttpServletRequest request, HttpServletResponse response) throws IOException {
        SeccionServices servicios = new SeccionServices();
        ArrayList<Seccion> lista = null;
        String accion = request.getParameter("accion");
        String nombre = request.getParameter("nombre");
        String codCentro = request.getParameter("codCentro");
        String codNivel = request.getParameter("codNivel");
        String codTipoGrado = request.getParameter("codTipoGrado");
        String codGrado = request.getParameter("codGrado");
        
        lista=servicios.cargarSeccion(codCentro, codNivel, codTipoGrado, codGrado);
        
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        pw.println("<select id='"+nombre+"' class='form-control validate[required]' onChange='"+accion+"'>");
        pw.println("<option value=''>[Seleccione]</option>");
        for(int i=0; i< lista.size(); i++) {
            pw.println("<option value='"+lista.get(i).getCodigoSeccion()+"'>"+lista.get(i).getNombreSeccion()+"</option>");
        }

        pw.println("</select>");
    }
    
    private void armarEditar(HttpServletRequest request, HttpServletResponse response) throws IOException {
       SeccionServices servicios=new SeccionServices();
        Seccion seccion = new Seccion();
       
        String codSeccion = request.getParameter("codSeccion");
        
        seccion=servicios.nombreSeccion(codSeccion);
        
        
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
         pw.println("<table  width='100%'>"
               + "<tr>"
               + "<td align='center'> "
               + "<table>"
               + "      <tr>"
               + "          <td><b>Tipo Centro:</b></td>"
               + "          <td width='10'></td>"
               + "          <td><label>"+seccion.getNombreTipoCentro()+"</label></td>"
               + "      </tr>"  
               + "      <tr>"  
               + "          <td colspan='3' height='15'></td>"  
               + "      </tr>"  
               + "      <tr>"
               + "          <td><b>Centro:</b></td>"
               + "          <td width='10'></td>"
               + "          <td><label>"+seccion.getNombreCentro()+"</label></td>"
               +"      </tr>" 
               + "      <tr>"  
               + "          <td colspan='3' height='15'></td>"  
               + "      </tr>" 
               + "      <tr>"
               + "          <td><b>Nivel:</b></td>"
               + "          <td width='10'></td>"
               + "          <td><label>"+seccion.getNombreNivel()+"</label></td>"
               + "      </tr>" 
               + "      <tr>"  
               + "          <td colspan='3' height='15'></td>"  
               + "      </tr>" 
               + "       <tr>"
               + "       <td><b>Tipo Grado:</b></td>"
               + "       <td width='10'></td>"
               + "       <td><label>"+seccion.getNombreTipoGrado()+"</label></td>" 
               + "       </tr>"
               + "      <tr>"  
               + "          <td colspan='3' height='15'></td>"  
               + "      </tr>" 
               + "       <tr>"
               + "       <td><b>Grado:</b></td>"
               + "       <td width='10'></td>"
               + "       <td><label>"+seccion.getNombreGrado()+"</label></td>" 
               + "       </tr>"
               + "      <tr>"  
               + "          <td colspan='3' height='15'></td>"  
               + "      </tr>" 
               + "      <tr>"
               + "          <br>"  
               + "          <td><b>Sección:</b></td>"
               + "          <td width='10'></td>"
               + "          <td><input id='txt_nom_sec' type='text' class='validate[required,custom[onlyLetterSp]]' value='"+seccion.getNombreSeccion()+"' onChange='conMayusculas(this);'></td>"
               + "      </tr>"
               + "  </table>"
               + "</td>"
               + "</tr>"
               + "</table>"); 
    }

    private void actualizar(HttpServletRequest request, HttpServletResponse response) {
     SeccionServices servicio= new SeccionServices();
     String codSeccion=request.getParameter("codSeccion");
     String nombre=request.getParameter("nombre");
     servicio.actualizar(nombre, codSeccion);
    }

    private void cargarSeccionBlo(HttpServletRequest request, HttpServletResponse response) throws IOException {
        SeccionServices servicios = new SeccionServices();
        ArrayList<Seccion> lista = null;
        String accion = request.getParameter("accion");
        String nombre = request.getParameter("nombre");
        String codCentro = request.getParameter("codCentro");
        String codNivel = request.getParameter("codNivel");
        String codTipoGrado = request.getParameter("codTipoGrado");
        String codGrado = request.getParameter("codGrado");
        String codTipoCentro = request.getParameter("codTipoCentro");
        String codSede = request.getParameter("codSede");
        
        lista=servicios.cargarSeccion(codSede, codTipoCentro, codCentro, codNivel, codTipoGrado, codGrado);
        
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
        
        pw.println("<select id='"+nombre+"' class='form-control' onChange='"+accion+"'>");
        pw.println("<option value=''>[Seleccione]</option>");
        for(int i=0; i< lista.size(); i++) {
            pw.println("<option value='"+lista.get(i).getCodigoSeccion()+"'>"+lista.get(i).getNombreSeccion()+"</option>");
        }

        pw.println("</select>");
    }

    private void cantidadSeccion(HttpServletRequest request, HttpServletResponse response) throws IOException {
        SeccionServices servicios = new SeccionServices();
        String codSeccion=request.getParameter("codSeccion");
        int dato=servicios.cantidadSeccion(codSeccion);
        response.setContentType("text/html");
        PrintWriter pw = response.getWriter();
            if(dato==1){
               pw.println("1");
            }else{
               pw.println("0");
            }
    }

}
